import java.util.List;
import java.util.Set;

public class ANGeneSet {
	private List<Pair<Protein,List<Protein>>> proteins;
	private String geneSetName;
	private double lowerPValue;
	private double avgD;
	private double totalD;
	private double upperPValue;
	private double simPValue;
	private double triRound;
	private double triInterpol;
	private double refPValue;
	private double simNormalPValue;
	private double dMax;
	private double KSPvalue;
	
	ANGeneSet(List<Pair<Protein,List<Protein>>> Pproteins,String pGeneSetName){
		geneSetName = pGeneSetName;
		proteins = Pproteins;
		avgD = 0.0;
		simPValue = 0.0;
		upperPValue = 0.0;
		lowerPValue = 0.0;
		triRound = 0.0;
		triInterpol = 0.0;
		totalD = 0.0;
		refPValue = 0.0;
		dMax = -1.0;
		KSPvalue = -1.0;
	}
	
	public List<Pair<Protein,List<Protein>>> getProteins(){
		return proteins;
	}
	
	public String getGeneSetName(){
		return geneSetName;
	}

	public double getTotalD(){
		return totalD;
	}
	
	public double getLowerPValue(){
		return lowerPValue;
	}
	
	public double getUpperPValue(){
		return upperPValue;
	}
	
	public double getSimuPValue(){
		return simPValue;
	}
	
	public double getSimNormalPValue(){
		return simNormalPValue;
	}
	
	public double getTRPValue(){
		return triRound;
	}
	public double getTInterpolPValue(){
		return triInterpol;
	}
	
	public double getAvgD(){
		return avgD;
	}
	
	public double getRefPValue(){
		return refPValue;
	}
	
	public double getDMax(){
		return dMax;
	}
	
	public double getKSPvalue(){
		return KSPvalue;
	}
	
	public void setDMax(double pDMax){
		dMax = pDMax;
	}
	
	public void setKSPvalue(double pKSPvalue){
		KSPvalue = pKSPvalue;
	}
	
	
	public void setAvgD(double pAvgD){
		avgD = pAvgD;
	}
	
	public void setRefPValue(double pRefPValue){
		refPValue = pRefPValue;
	}
	
	
	public void setTotalD(double pTotalD){
		totalD = pTotalD;
	}
	
	public void setSimuPvalue(double pSimPvalue){
		simPValue = pSimPvalue;
	}
	
	public void setSimNormalPvalue(double pSimNormalPvalue){
		simNormalPValue = pSimNormalPvalue;
	}
	
	public void setUpperPvalue(double pUpperPvalue){
		upperPValue = pUpperPvalue;
	}
	public void setLowerPValue(double pLowerPValue){
		lowerPValue = pLowerPValue;
	}
	public void setTriRound(double pTriRound){
		triRound = pTriRound;
	}
	public void setTriInterpol(double pTriInterpol){
		triInterpol = pTriInterpol;
	}
	
}
